summaryrefslogtreecommitdiffstats
path: root/system/dool
diff options
context:
space:
mode:
author Brent Spillner2024-01-03 11:51:58 +0100
committer Willy Sudiarto Raharjo2024-01-03 11:56:45 +0100
commit4a9de05e665031ac7973a75e95136fd419471990 (patch)
tree0d67e8a4ebcb5c5812e439ff1abb5eddef66985a /system/dool
parent38159e03b4509325f2008fe2038c060efbb34881 (diff)
downloadslackbuilds-4a9de05e665031ac7973a75e95136fd419471990.tar.gz
system/dool: Added (fork of dstat).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/dool')
-rw-r--r--system/dool/README9
-rw-r--r--system/dool/dool.SlackBuild80
-rw-r--r--system/dool/dool.info10
-rw-r--r--system/dool/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/system/dool/README b/system/dool/README
new file mode 100644
index 0000000000..4420fac3da
--- /dev/null
+++ b/system/dool/README
@@ -0,0 +1,9 @@
+Dool is a versatile replacement for vmstat, iostat, netstat, nfsstat
+and ifstat. Dool overcomes some of their limitations and adds some
+extra features, more counters and flexibility. Dool is handy for
+monitoring systems during performance tuning tests, benchmarks or
+troubleshooting. It can be easily extended with Python plugins for
+almost any kind of system monitoring.
+
+Dool is the drop-in replacement for dstat, after dstat development was
+discontinued.
diff --git a/system/dool/dool.SlackBuild b/system/dool/dool.SlackBuild
new file mode 100644
index 0000000000..059e60811b
--- /dev/null
+++ b/system/dool/dool.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/bash
+#
+# Slackware build script for dool
+#
+# (C) 2024 by Brent Spillner, following dstat.SlackBuild from Erik W. Hanson.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=dool
+VERSION=${VERSION:-1.3.1}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+rm -f examples/dstat.py packaging/snap/python2 # broken symlinks
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make install DESTDIR=$PKG
+
+# We want the examples and the man page.
+mkdir -p $PKG/usr/{man/man1,share/dool/examples}
+install -Dp -m0755 examples/*.py $PKG/usr/share/dool/examples/
+install -Dp -m0644 docs/dool.1 $PKG/usr/man/man1/dool.1
+gzip -9 $PKG/usr/man/man1/dool.1
+rm -rf $PKG/usr/share/man
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog LICENSE README.md \
+ docs/*.html docs/*.adoc $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/dool/dool.info b/system/dool/dool.info
new file mode 100644
index 0000000000..4830c93a19
--- /dev/null
+++ b/system/dool/dool.info
@@ -0,0 +1,10 @@
+PRGNAM="dool"
+VERSION="1.3.1"
+HOMEPAGE="https://github.com/scottchiefbaker/dool"
+DOWNLOAD="https://github.com/scottchiefbaker/dool/archive/v1.3.1/dool-1.3.1.tar.gz"
+MD5SUM="227cea6002bf83e9eebe992033a155db"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Brent Spillner"
+EMAIL="spillner@acm.org"
diff --git a/system/dool/slack-desc b/system/dool/slack-desc
new file mode 100644
index 0000000000..1745139b27
--- /dev/null
+++ b/system/dool/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+dool: dool (Versatile resource statistics tool)
+dool:
+dool: Dool is a simple, extensible tool for collecting and displaying
+dool: statistics about any kind of system load or resource usage. It can
+dool: replace vmstat, iostat, netstat, nfsstat, and ifstat, and complements
+dool: real-time monitoring tools such as iotop, htop, and btop. dool comes
+dool: with a large set of plugins for common monitoring tasks, and it is
+dool: easy to add custom plugins for your system. dool is handy for system
+dool: health monitoring, performance tuning, benchmarks or troubleshooting.
+dool:
+dool: Dool is a fork of the original 'dstat' (which is now discontinued).